<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example.tyre">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CAMERA" />

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_logo"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true">
        <activity
            android:name=".maintenance.TireScrapActivity"
            android:exported="false"
            android:theme="@style/news" />
        <activity
            android:name=".maintenance.TireRepairActivity"
            android:exported="true"
            android:theme="@style/MaterialComponents_style">

        </activity>
        <activity
            android:name=".maintenance.WorkExecuteActivity"
            android:exported="true"
            android:theme="@style/news" />

        <activity
            android:name=".maintenance.CreateWorkOrderActivity"
            android:exported="false"
            android:theme="@style/news" />
        <activity
            android:name=".maintenance.WorkOrderActivity"
            android:exported="true"
            android:theme="@style/news">

            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.MAIN" />-->
            <!--                <category android:name="android.intent.category.LAUNCHER" />-->
            <!--            </intent-filter>-->
        </activity>
        <activity
            android:name=".maintenance.NewHomePageActivity"
            android:exported="true"
            android:theme="@style/news">
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.MAIN" />-->
<!--                <category android:name="android.intent.category.LAUNCHER" />-->
<!--            </intent-filter>-->
        </activity>
        <activity android:name=".MainActivity2">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>
        <activity
            android:name=".TyreLayoutActivity"
            android:exported="true" >

        </activity>
        <activity
            android:name=".TestActivity"
            android:exported="false"
            android:label="@string/title_activity_test"
            android:theme="@style/AppTheme.NoActionBar">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>
        <activity
            android:name=".HomePageActivity"
            android:exported="true"
            android:theme="@style/news">

            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.MAIN" />-->
            <!--                <category android:name="android.intent.category.LAUNCHER" />-->
            <!--            </intent-filter>-->
        </activity>
        <activity android:name=".TyreSearchActivity" />
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:theme="@style/Material3">

             <intent-filter>
             <action android:name="android.intent.action.MAIN" />
             <category android:name="android.intent.category.LAUNCHER" />
             </intent-filter>
        </activity>
        <activity
            android:name=".OutStoreHouseActivity"
            android:exported="false" />
        <activity
            android:name=".CheckActivity"
            android:exported="false" />
        <activity
            android:name=".InStoreHouseActivity"
            android:exported="false" />
        <activity
            android:name=".TyreLoadUnLoadActivity"
            android:exported="false" />
        <activity
            android:name=".UpActivity"
            android:exported="false" />
        <activity
            android:name=".DownActivity"
            android:exported="false" />
        <activity
            android:name=".SwitchActivity"
            android:exported="false" />
        <!--        android:authorities="${applicationId}.fileprovider"-->
        <receiver
            android:name=".maintenance.receiver.MyKeyReceiver"
            android:enabled="true"
            android:exported="true" />
        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.example.tyre"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>